mrtg (2.17.10-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Feb 2022 19:58:25 -0300

mrtg (2.17.10-3) unstable; urgency=medium

  * debian/control: dropped an unneeded digit in Standards-Version.
  * debian/po/fr.po: updated. Thanks to Jean-Pierre Giraud
    <jenapierregiraud75@free.fr>. (Closes: #1004422)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Jan 2022 14:30:07 -0300

mrtg (2.17.10-2) unstable; urgency=medium

  * debian/po/:
      - nl.po: updated. Thanks to Frans Spiesschaert
        <Frans.Spiesschaert@yucom.be>. (Closes: #1004318)
      - pt_BR.po: fixed a mistake.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jan 2022 13:14:06 -0300

mrtg (2.17.10-1) unstable; urgency=medium

  * New upstream version 2.17.10.
  * The upstream fixed the source code (thanks). Consequently, reverted all
    changes described in last changelog in the following files:
      - debian/not-installed
      - debian/rules
      - debian/source/options (removed this file)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jan 2022 23:22:04 -0300

mrtg (2.17.9-1) unstable; urgency=medium

  * New upstream version 2.17.9.
  * The current upstream version (2.17.9) is not able to execute 'make install'
    because the upstream didn't generate the docs again before to create the
    tarball. Consequently, this revision is using the following workarounds:
      - debian/not-installed: added usr/share/doc/mrtg2/mrtglib.1 and
        usr/share/man/man1/mrtglib.1. These files are wrong manpages because
        they are in level 1, not in level 3.
      - debian/rules: added a target 'execute_before_dh_auto_install' to
        generate new manpages in doc/.
      - debian/source/options: created to ignore the new manpages generated in
        doc/.
  * debian/copyright:
      - Removed files no longer delivered from the upstream tarball:
          ~ bin/cammer
          ~ lib/mrtg2/Pod/Checker.pm
          ~ lib/mrtg2/Pod/Find.pm
          ~ lib/mrtg2/Pod/ParseUtils.pm
      - Updated upstream copyright years.
  * debian/po/de.po: updated translation for German. Thanks to Helge
    Kreutzmann <debian@helgefjell.de>. (Closes: #1003888)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 18 Jan 2022 15:11:26 -0300

mrtg (2.17.8+git20211109.9205d1d-3) unstable; urgency=medium

  * debian/po/es.po: added translation for Spanish. Thanks to
    Camaleón <noelamac@gmail.com>. (Closes: #1003518)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jan 2022 13:11:36 -0300

mrtg (2.17.8+git20211109.9205d1d-2) unstable; urgency=medium

  * Created a new debconf process to handle the cron script created via old
    versions of the MRTG. Consequently:
      - Updated the following files:
          ~ debian/mrtg.config
          ~ debian/mrtg.postinst
          ~ debian/mrtg.templates
      - Translations:
          ~ debian/po/*: updated all templates.
          ~ debian/po/pt_BR.po: updated the translation.
          ~ debian/po/pt.po: updated the translation. Thanks to Américo
            Monteiro <a_monteiro@gmx.com>.
      - Closes: #1003338
  * debian/copyright: updated packaging copyright years.
  * debian/mrtg-contrib.lintian-overrides: updated overrides about Perl4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Jan 2022 12:01:26 -0300

mrtg (2.17.8+git20211109.9205d1d-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211109.9205d1d.
  * debian/po/:
      - fr.po: added translation for French. Thanks to
        Jean-Pierre Giraud <jenapierregiraud75@free.fr>. (Closes: #998797)
      - nl.po: added translation for Dutch. Thanks to
        Frans Spiesschaert <Frans.Spiesschaert@yucom.be>. (Closes: #998829)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 09 Nov 2021 16:55:54 -0300

mrtg (2.17.8+git20211026.912afc5-5) unstable; urgency=medium

  * debian/po/sv.po: fixed a mistake in translation. (Closes: #998750)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Nov 2021 13:45:59 -0300

mrtg (2.17.8+git20211026.912afc5-4) unstable; urgency=medium

  * debian/po/sv.po: added translation for Swedish. Thanks to
    Martin Bagge / brother <brother@persilja.net>. (Closes: #998433)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Nov 2021 13:28:44 -0300

mrtg (2.17.8+git20211026.912afc5-3) unstable; urgency=medium

  * debian/po/cs.po: added translation for Czech. Thanks to
    Michal Simunek <michal.simunek@gmail.com>. (Closes: #998357)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 03 Nov 2021 16:17:45 -0300

mrtg (2.17.8+git20211026.912afc5-2) unstable; urgency=medium

  * debian/mrtg.README.Debian: updated group name for some directories.
  * debian/mrtg.service: added options LogsDirectory, LogsDirectoryMode,
    StateDirectory and StateDirectoryMode, all needed to allow MRTG to create
    /var/lib/mrtg and /var/log/mrtg while using the User option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 20:21:51 -0300

mrtg (2.17.8+git20211026.912afc5-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211026.912afc5.
  * debian/mrtg.service:
      - Added PIDFile option, as recommended by SYSTEMD.SERVICE(5).
      - Added User option, to automatically populate environment variables like
        USER and HOME. Thanks to Norman Rasmussen norman@darkskies.za.net.
        (Closes: #998158)
      - Added RuntimeDirectory option to automatically create /run/mrtg/. This
        option is required while using the User option.
  * debian/patches/030_fix-accented-words.patch: removed because the upstream
    fixed the source code. Thanks.
  * debian/po/: added the following translations:
      - de.po. Thanks to Helge Kreutzmann <debian@helgefjell.de>.
        (Closes: #998176)
      - pt.po. Thanks to Américo Monteiro <a_monteiro@gmx.com>.
        (Closes: #998079)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Oct 2021 13:46:32 -0300

mrtg (2.17.8+git20211022.f52e91e-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211022.f52e91e. Some features:
      - Now, MRTG creates directories /run/mrtg/, /var/lib/mrtg/,
        /var/lock/mrtg/ and /var/log/mrtg/ automatically if they not exist when
        using --fhs option.
      - Moved the config file (in source code) from /etc/ to /etc/mrtg/.
        (Closes: #245357)
      - The lock file will be removed if the pid file no longer exists.
        (Closes: #996787)
      - Updated to use FHS 3.0 instead of 2.3 when calling the --fhs option.
        (Closes: #996786)
  * From now, MRTG will run on Debian under a non-root user. Consequently,
    the following files were removed:
      - debian/mrtg.config
      - debian/mrtg.templates
      - debian/po/*
  * Moved all examples from 'mrtg' to 'mrtg-contrib'. Consequently:
      - debian/mrtg-contrib.links: created to make a link between the new and
        the old places.
      - Updated the following files to act over the new place:
          ~ debian/mrtg-contrib.install
          ~ debian/mrtg-contrib.lintian-overrides
          ~ debian/rules
  * New debconf to make adjustments in /var/www/html/mrtg. Consequently:
      - Re-created with a new content:
          ~ debian/mrtg.config
          ~ debian/mrtg.templates
          ~ debian/po/*
      - debian/mrtg.postinst: added new commands to create or fix permissions
        for /var/www/html/mrtg.
  * This Debian revision is providing the following scripts to start MRTG:
      - /debian/mrtg.init, for init.d. (Closes: #245358, LP: #358123)
      - /debian/mrtg.service, for systemd.
  * debian/contrib/config/mrtg.cfg:
      - Moved to debian/config/mrtg.cfg.
      - Updated the content.
  * debian/control:
      - Added 'Pre-Depends: ${misc:Pre-Depends}', needed for
        debian/post{inst,rm}.
      - Improved long description for mrtg-contrib.
      - Removed no longer needed relationships from mrtg in Depends field for
        mrtg-contrib binary.
  * debian/copyright: updated upstream packaging copyright years.
  * debian/cron.d: removed because this file was created before MRTG has the
    --daemon option (available since version 2.9.27). Running via cron works
    but this is a primitive mode. From now, MRTG on Debian will use init.d and
    systemd to run.
  * debian/logrotate: renamed to debian/mrtg.logrotate.
  * debian/mrtg.dirs: removed because MRTG now creates var/lib/mrtg/ and
    var/log/mrtg/ directories automatically if running with --fhs (default in
    Debian from now).
  * debian/mrtg.install: moved mrtg.cfg from /etc/ to /etc/mrtg/.
    (Closes: #245357)
  * debian/mrtg.doc-base.configuration: renamed to debian/mrtg.doc-base.
  * debian/mrtg.NEWS: created.
  * debian/mrtg-contrib.lintian-overrides: updated, adding, removing and
    changing some content. Note that all content of mrtg-contrib are examples
    sent for MRTG project from the community.
  * debian/patches/:
      - 010-mrtg_lock_temp_cache_files_fixups.patch: dropped why we have the
        option --fhs since MRTG 2.9.27, released in 2003-02-19.
        (Closes: #997095)
      - 010_enable-www-dir.patch: added to enable 'WorkDir: /var/www/html/mrtg'
        for Debian.
      - 030_fix-accented-words.patch: created to fix some accented words in
        Brazilian Portuguese.
      - 100-remove_joke.patch: removed because I no longer need massive tests,
        so is a good idea to keep the original upstream source code.
      - 150-fix_privacy_breach.patch: renamed to 020_fix-privacy-breach.patch.
      - Removed because the upstream fixed the source code (thanks):
          ~ 040-bts113814_mrtgindx_cgi.patch
          ~ 060-dont_create_varlockmrtg.patch (Closes: #997095)
          ~ 070-cfgmaker_debian_workdir.patch
  * debian/postinst:
      - Renamed to debian/mrtg.postinst.
      - Updated to new scenario provided by current revision of this package.
  * debian/postrm: created to remove some files when purging.
  * debian/README.Debian:
      - Renamed to mrtg.README.Debian.
      - Rewritten from scratch.
  * debian/rules: created the target override_dh_clean to revert changes in
    hashbangs for files in bin/ after building.
  * debian/source/options: removed in favor of a more accurate control via
    dh_clean in debian/rules.
  * debian/tests/control: added a trivial test for cfgmaker.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 Oct 2021 22:56:00 -0300

mrtg (2.17.8+git20211012.bef7ba2-1) unstable; urgency=medium

  * New upstream version 2.17.8+git20211012.bef7ba2.
    (Closes: #655097, #996085, #996090)
  * debian/contrib/:
      - Removed some files because the upstream added them to source code:
          ~ exim-stats/*
          ~ rateup.1
  * debian/copyright:
      - Added new rights from new files in upstream place.
      - Added a new source (Github).
      - Removed field Files-Excluded and some comments about them because the
        upstream dropped non-free code. Thanks.
  * debian/mrtg-contrib.install: removed exim-status, now in upstream source
    code.
  * debian/mrtg.install:
      - Added new manpages: mrtg-traffic-sum.1 and rateup.1.
      - Changed level of the manpage mrtglib from 1 to 3 because the upstream
        fixed the manpage level.
  * debian/mrtg.manpages: removed because the upstream is providing this
    manpage now. Thanks!
  * debian/not-installed: added new files to be ignored.
  * debian/patches/:
      - Removed some patches applied by the upstream (thanks!):
          ~ 020-bts113894_use_gawk.patch
          ~ 030-fix_for_ipacc.patch
          ~ 050-bts167107_nodefaultglobal.patch
          ~ 080-iptables-accounting_linewrap.patch
          ~ 090-modernize_configure_in.patch
          ~ 110-fix_spelling_errors.patch
          ~ 120-update_clean_target.patch
          ~ 130-fix_spelling_source_code.patch
          ~ 140-fix_whatis_mrtg_squid.patch
          ~ 160-fix_uncommented_lines.patch
      - 100-remove_joke.patch: updated to patch configure.ac instead of
        configure.in because the upstream changed the source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 17 Oct 2021 12:05:06 -0300

mrtg (2.17.8+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.17.8+dfsg1.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.1.
  * debian/copyright:
      - Added all missing names in upstream and packaging blocks.
      - Added Files-Excluded, Upstream-Contact and some comments.
  * debian/contrib/exim-stats/check-email: added a missing quotation marl to
    fix a breaking in script.
  * debian/mrtg-contrib.install: moved contrib/* from examples/ to
    examples/contrib/ to allow new and specific files in examples/.
  * debian/mrtg-contrib.lintian-overrides: created to ignore some issues in
    old examples provided by the upstream in contrib/ directory.
  * debian/patches/:
      - Added a numeric prefix for all patches.
      - Added Index lines in all patches.
      - bts771894_add_DCN_identity.patch: removed because the upstream already
        applied this patch in a previous version.
      - Updated all headers.
      - 070-cfgmaker_debian_workdir.patch:
          ~ Removed all spelling fixes, to be added to a new and more in-depth
            patch (110).
          ~ Updated WorkDir to use /var/www/html/mrtg.
          ~ Set Forwarded as not-needed because this patch is specific for
            Debian.
      - 090-modernize_configure_in.patch: created to fix warnings when doing
        autoreconf.
      - 100-remove_joke.patch: created to avoid slowdown when building.
      - 110-fix_spelling_errors.patch: created to fix spelling errors in
        several files.
      - 120-update_clean_target.patch: created to remove files generated by the
        build process and forgotten when cleaning. This patch will allow the
        package to build twice.
      - 130-fix_spelling_source_code.patch: created to fix a typo that breaks
        bin/cfgmaker. (Closes: #995950)
      - 140-fix_whatis_mrtg_squid.patch: created to fix the whatis line
        generation.
      - 150-fix_privacy_breach.patch: created to fix privacy breach generic via
        external links.
      - 160-fix_uncommented_lines.patch: created to fix some uncommented lines
        breaking the script.
  * debian/rules:
      - Added new fixes for some hashbangs in upstream source code.
      - Moved contrib/* from examples/ to examples/contrib/.
    examples/contrib/
  * debian/source/options: created to ignore changes in bin/indexmaker.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 10 Oct 2021 21:12:18 -0300

mrtg (2.17.7-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New maintainer. Thanks to Sandro Tosi, the previous maintainer.
    (Closes: #995427)
  * Ran wrap-and-sort.
  * Migrated debian/rules to new (reduced) format. Consequently:
      - debian/clean: created to remove some files forgotten by the upstream
        after build/clean sequences.
      - debian/control: added dos2unix and jdupes to Build-Depends to help
        the new debian/rules to solve some issues.
      - debian/exim-stats/: moved to debian/contrib/.
      - debian/mrtg-contrib.install: created to install all needed files for
        mrtg-contrib binary.
      - debian/mrtg.dirs: removed the directories names already created by
        debian/mrtg.install.
      - debian/mrtg.docs: removed because all needed docs are being installed
        by mrtg.install and dh_* (e.g. dh_installchangelogs).
      - debian/mrtg.install:
          ~ Updated to install all possible data from debian/tmp/.
          ~ Added usr/bin/mrtg-traffic-sum, not present in previous releases.
      - debian/mrtg.manpages: moved the main content to debian/mrtg.manpages.
        Now, this file only installs debian/contrib/rateup.1.
      - debian/not-installed: created to list some upstream files not installed
        in final binaries.
      - debian/rateup.1: moved to debian/contrib/.
      - debian/sample-mrtg.cfg: moved to debian/contrib/config/.
  * debian/docs: removed. The content of this file was only THANKS, already
    in debian/mrtg.docs (also removed from the package, see above).
  * debian/mrtg-contrib.dirs: removed because the new file
    debian/mrtg-contrib.install already creates all needed directories.
  * debian/mrtg.templates.hold: removed. This template was deprecated in
    revision 2.16.2-5, released on 2009-11-12.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: created to perform CI tests.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + mrtg: Drop versioned constraint on debconf and libsnmp-session-perl in
      Depends.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 01 Oct 2021 22:41:48 -0300

mrtg (2.17.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * debian/control
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/copyright
    - extend packaging copyright years
  * debian/watch
    - bump standard to version 4

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Dec 2020 23:23:44 -0500

mrtg (2.17.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * New upstream release
  * Acknowledge NMU; Closes: #880776
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
    - remove Adam Majer from Uploaders, thanks for your contributions!
  * debian/patches/*
    - refresh, remove patch merged upstream
  * debian/watch
    - use HTTPS

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Feb 2019 15:14:12 -0500

mrtg (2.17.4-4.1) unstable; urgency=medium

  * NMU to remove Net_SNMP_util module (which is now to be found in
    libsnmp-session-perl).
  * Build-Depend on libgd-dev instead of libgd-dev (Closes: #880776).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 05 Dec 2017 17:41:10 +0100

mrtg (2.17.4-4) unstable; urgency=medium

  * debian/control
    - b-d only on the unversioned libpng-dev; Closes: #810194
    - bump Standards-Version to 3.9.7 (no changes needed)
    - point Vcs-* to HTTPS
  * debian/po/pt_BR.po
    - update Brazilian Portuguese debconf translation; Closes: #799420

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Apr 2016 23:45:07 +0100

mrtg (2.17.4-3) unstable; urgency=medium

  [ Adam Majer ]
  * Added DCN (Digital China Networks) identity patch provided by Paweł
    Gołaszewski. Thank you. Closes: #771894

  [ Sandro Tosi ]
  * remove explicit b-d on perl-modules; thanks to Dominic Hargreaves for the
    report and to Damyan Ivanov for pushing for a fix; Closes: #788153

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2015 18:34:41 +0100

mrtg (2.17.4-2) unstable; urgency=low

  * debian/po/sv.po
    - updated debconf PO Swedish translation; thanks to Martin Bagge for the
      report and patch; Closes: #681497

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Aug 2012 13:57:30 +0200

mrtg (2.17.4-1) unstable; urgency=low

  * New upstream release
  * debian/po/id.po
    - added debconf PO Indonesian translation; thanks to Mahyuddin Susanto for
      the report and patch; Closes: #660313
  * debian/copyright
    - reformatted to DEP-5 format, bumping packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
    - switching Maintainer and Uploaders fields, to reflect reality

 -- Sandro Tosi <morph@debian.org>  Sat, 19 May 2012 19:11:55 +0200

mrtg (2.17.3-2) unstable; urgency=low

  * debian/copyright
    - updated packaging copyright info
  * debian/cron.d
    - fix grep syntax in cronjob; Closes: #653363

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Dec 2011 23:23:53 +0100

mrtg (2.17.3-1) unstable; urgency=low

  * New upstream release
    - add the process id tmp file extensions, to guard against multiple rateup
      instances messing things up for each other; Closes: #600798
    - cfgmaker skip using ifalias (only supported on routers where mrtg knows
      that ifalias exists) if it is undefined and switch to the next item in
      line for ifdesc; Closes: #630725
    - add missing closing brace in HTML template; Closes: #641163
  * debian/cron.d
    - exclude commented lines when checking WorkDir; thanks to Celelibi for the
      report; Closes: #641157
  * debian/po/nl.po
    - updated debconf PO Dutch translation; thanks to Joe Dalton for the report
      and patch; Closes: #652956
  * debian/patches/fix_typos_doc_manpages.patch
    - removed, merged upstream
  * debian/{mrtg.docs, rules}
    - don't install CHANGES directly, it's detected by dh_installchangelogs

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2011 11:41:35 +0100

mrtg (2.17.2-1) unstable; urgency=low

  * New upstream release
    - updated mrtg-squid doc; thanks to Chris Chiappa; Closes: #317813
    - support for glob patterns for include files; thanks to Jamin W. Collins;
      Closes: #245355
    - remove a race-condition when writing new traffic graph files with rateup by
      writing to a temp file and moving it later; thanks to herbert@debian.org;
      Closes: #20641
    - do not load Net_SNMP_util unless snmpv3 is requested; thanks to Martín
      Ferrari; Closes: #404168
    - explicitly import Socket6 routines in SNMP_Session; thanks to Matija
      Grabnar; Closes: #629331
    - adjustment for perl new taint mode (since 5.10); thanks to Julien Savoie
      for the report; Closes: #612550
  * Acknowledge NMU; Closes: #625695
  * debian/README.Debian
    - removed notice about snmpd configuration; thanks to Harald Dunkel for the
      report; Closes: #599802
  * debian/source/format
    - converted to 3.0 (quilt) format
  * debian/patches/bts113894_use_gawk.patch
    - convert [f3f7427] to a proper patch
  * debian/patches/bts457032_fix_doc_location.patch
    - convert [9d8bd7a] to a proper patch
  * debian/patches/fix_for_ipacc.patch
    - convert [75f1393] to a proper patch
  * debian/patches/fix_typos_doc_manpages.patch
    - convert [2867bb3] to a proper patch
  * debian/patches/bts113814_mrtgindx.cgi
    - convert [759fe33] to a proper patch
  * debian/patches/bts167107_nodefaultglobal.patch
    - convert [ef33ad5] to a proper patch
  * debian/patches/dont_create_varlockmrtg.patch
    - convert [369821e] to a proper patch
  * debian/patches/{mrtg_lock_temp_cache_files_fixups.patch,
                    cfgmaker_debian_workdir.patch,
		    iptables-accounting_linewrap.patch}
    - convert part of [02d0030] to a proper patch
  * debian/rules
    - don't remove *.rej and *.orig, they are in the upstream tarball
    - fix build, build-arch, build-indep targets as lintian suggests
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
  * debian/cron.d
    - don't run if Workdir is not a directory; thanks to Adrian Bridgett for the
      report; Closes: #527315

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2011 16:30:14 +0200

mrtg (2.16.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch from upstream (r285) fixing fatal errors when running
    with perl 5.12; Closes: #625695

 -- Dominic Hargreaves <dom@earth.li>  Fri, 06 May 2011 19:51:19 +0100

mrtg (2.16.3-3) unstable; urgency=low

  * debian/po/vi.po
    - updated debconf PO Vietnamese translation; thanks to Clytie Siddall for
      the report and patch; Closes: #601565

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Dec 2010 09:16:41 +0100

mrtg (2.16.3-2) unstable; urgency=low

  * debian/po/da.po
    - updated debconf PO Danish translation; thanks to Joe Dalton for the report
      and patch; Closes: #585573
  * debian/po/pt.po
    - updated debconf PO Portuguese translation; thanks to Américo Monteiro for
      the report and patch; Closes: #589411
  * debian/po/cs.po
    - updated debconf PO Czech translation; thanks to Michal Simunek for the
      report and patch; Closes: #589531

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Aug 2010 18:37:04 +0200

mrtg (2.16.3-1) unstable; urgency=low

  * New upstream release
  * debian/po/sv.po
    - updated debconf PO Swedish translation; thanks to Martin Bagge for the
      report and patch; Closes: #562926
  * debian/po/fr.po
    - updated debconf PO French translation; thanks to Christian Perrier for the
      report and patch; Closes: #562941
  * debian/po/ru.po
    - updated debconf PO Russian translation; thanks to Yuri Kozlov for the
      report and patch; Closes: #563080
  * debian/po/es.po
    - updated debconf PO Spanish translation; thanks to Francisco Javier
      Cuadrado for the report and patch; Closes: #565717
  * debian/po/de.po
    - updated debconf PO German translation; thanks to Thomas Mueller for the
      report and patch; Closes: #567894
  * bin/mrtg, contrib/mrtg-startup-script/mrtg, debian/mrtg.dirs
    - don't create /var/lock/mrtg at install time, but try it at each invocation
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
  * doc/*
    - fixed some typos in manpages and documentation
  * debian/mrtg.config
    - use 'set -e' instead of 'sh -e' in the shebang
  * debian/copyright
    - split Copyright and License information
    - link to the correct local license file, GPL-2
    - added packaging copyright notice for my contributions

 -- Sandro Tosi <morph@debian.org>  Thu, 18 Mar 2010 23:09:25 +0100

mrtg (2.16.2-5) unstable; urgency=low

  * contrib/{mrtgrq/make-mrtg.cfg.awk, net-hosts/{make-mrtg.cfg.awk,net-hosts}},
    debian/control
    - uses gawk (suggesting it in mrtg-contrib) because mawk doesn't have
      strftime (+ small typo fix); thanks to Theodore Alexandrov for the report
      and patch (that needs to be adapter); Closes: #113894
  * debian/control
    - bump versioned depends on 'libsnmp-session-perl' to '>= 1.12'; thanks to
      Jason Hall for the initial report, to Sumit Madan and Simon A. Boggis for
      following this up, and Niko Tyni for perl analysis; Closes: #411903
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/mrtg.templates
    - updated to indicate it's 'root' the user MRTG runs with; thanks to
      Jonathan Wiltshire for the report; Closes: #521411
  * debian/mrtg.{config, template}, debian/postinst
    - removed 'own_user' debconf template, since not used
  * debian/po/*
    - run debconf-updatepo after debconf template update
  * bin/cfgmaker
    - added 'nodefaultglobal' option, to not include global options by default;
      thanks to Hilko Bengen for the report and patch; Closes: #167107
  * debian/po/fr.po
    - updated debconf PO French translation; thanks to Christian Perrier for the
      report and patch; Closes: #553674
  * debian/po/it.po
    - updated debconf PO Italian translation; thanks to Luca Monducci for the
      report and patch; Closes: #555115
  * debian/po/fi.po
    - updated debconf PO Finnish translation; thanks to Tommi Vainikainen for
      the report and patch; Closes: #554916
  * debian/po/ja.po
    - updated debconf PO Japanese translation; thanks to Hideki Yamane for the
      report and patch; Closes: #554833

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Nov 2009 19:11:11 +0100

mrtg (2.16.2-4) unstable; urgency=low

  * debian/control
    - updated my email address
    - removed DM-Upload-Allowed flag
    - added ${misc:Depends} to binary packages
    - bump Standards-Version to 3.8.2 (no changes needed)
  * debian/cron.d
    - created log dir in case it's missing; thanks to Martin Ferrari for the
      report and patch; Closes: #521436
  * debian/{compat, control, rules}
    - switch to debhelper 7 (dh_clean -k replaced by dh_prep)

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jul 2009 08:05:19 +0200

mrtg (2.16.2-3) unstable; urgency=low

  * Added Polish translation of debconf templates (closes: #498820)

 -- Adam Majer <adamm@zombino.com>  Tue, 16 Sep 2008 14:35:05 -0500

mrtg (2.16.2-2) unstable; urgency=low

  * debian/po/it.po
    - added Italian debconf translation; thanks to Luca Monducci for the patch;
      Closes: #492576

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 21 Aug 2008 15:14:10 +0200

mrtg (2.16.2-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added me to Uploaders
    - added "DM-Upload-Allowed: yes" to allow me to upload the package
    - added a Suggests on cricket for mrtg-contrib; thanks to Marco d'Itri
      <md@Linux.IT> for the report; Closes: #145636
    - bump Standards-Version to 3.8.0 (no changes needed)
  * lib/mrtg2/MRTG_lib.pm
    - fixed location of mrtg-reference.txt for a Debian system; thanks to
      Dario Minnucci <debian@midworld.net> for the report; Closes: #457032
  * contrib/mrtgindex.cgi/mrtgindx.cgi
    - applied patch from Ryan Murray <rmurray@cyberhqz.com>; Closes: #113814
  * debian/rules
    - added installation of debian/exim-stats (now it was only in source
      package); thanks to Jari Aalto for the report; Closes: #309433
  * debian/cron.d
    - updated to send messages also on stdout (so cron will send an email)
      instead of only writing them in the log file; thanks to Mario Holbe for
      the report; Closes: #195409

  [ Adam Majer ]
  * New upstream version 2.16.2
     + globally disable __DIE__ handler in eval
     + updated to SNMP_Session 1.12

 -- Adam Majer <adamm@zombino.com>  Sat, 05 Jul 2008 00:25:43 -0500

mrtg (2.16.1-2) unstable; urgency=low

  * "The Purge Begins" release
  * No longer remove stuff from /var/www on purge. This was dangerous.
    (closes: #466849)
  * Install support images to /usr/share/mrtg instead of dumping it in
    var/www/mrtg. Administrators should symlink these images to the mrtg's
    output directory.
  * No longer ship the .pod files as documentation.
  * Added l10n format changes from Christian Perrier.
  * Galician debconf templates translation thanks to Jacobo Tarrio
    (closes: #412643)

 -- Adam Majer <adamm@zombino.com>  Wed, 07 May 2008 01:35:56 -0500

mrtg (2.16.1-1) unstable; urgency=low

  * New upstream release (closes: #471550)
  * Updated watch file and copyright to reflect new website for mrtg
  * Update doc-base section to Network/Monitoring

 -- Adam Majer <adamm@zombino.com>  Wed, 26 Mar 2008 01:35:17 -0500

mrtg (2.14.7-2) unstable; urgency=high

  * Build depend on libgd2-noxpm-dev only as not to pull in xpm
    dependencies, and, fix documentation symlinks (closes: #389687)
  * Urgency high to fix the dependency in Etch before freeze

 -- Adam Majer <adamm@zombino.com>  Sun, 15 Oct 2006 22:16:02 -0500

mrtg (2.14.7-1) unstable; urgency=low

  * New upstream release
  * Updated links, including the watch file, to the new website
    http://oss.oetiker.ch/mrtg
  * Updated Standards to 2.7.2 - no changes
  * Updated Portuguese and Swedish translations (closes: #330552, #385059)
  * Build-depend on po-debconf to include all translations as per
  * dh_installdebconf manpage
  * Loosened dependency of mrtg-contrib on mrtg so it is binNMU-able

 -- Adam Majer <adamm@zombino.com>  Mon, 25 Sep 2006 22:41:52 -0500

mrtg (2.14.3-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Sun, 14 May 2006 11:31:07 -0500

mrtg (2.13.2-1) unstable; urgency=low

  * New upstream release
  * Fixed doc-base file (closes: #285657)
  * Removed xlsummary since it doesn't run on Debian anyway
    (closes: #293641)

 -- Adam Majer <adamm@zombino.com>  Sat, 11 Feb 2006 18:19:20 -0600

mrtg (2.12.2-1) unstable; urgency=low

  * New upstream release
  * Fixed the NMU list in the last changelog.
  * Links /usr/bin/rateup dynamically, not statically.
  * Fixed German translation (closes: #313967)
  * Added Vietnamese translation for debconf thanks to David Schmitt. (closes: #312972)
  * Depend on debconf-2.0 as well as debconf to facilitate the debconf
    transition (closes: #332034)
  * Simplied the cron entry thanks to Jari Aalto (closes: #282454) but kept
    the 'if' statement.
  * Updated to debhelper compat 4

 -- Adam Majer <adamm@zombino.com>  Wed, 19 Oct 2005 13:19:11 -0500

mrtg (2.12.1-1) unstable; urgency=low

  * New upstream release
  * New maintainer. Old maintainer MIA as discussed on debian-devel.
  * Acknowledge NMUs (closes: #289320, #261286, #243637, #299899, #285514,
    #279060, #228238, #246801, #256412)

 -- Adam Majer <adamm@zombino.com>  Thu, 26 May 2005 20:56:39 -0500

mrtg (2.11.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Update to latest upstream version
  * update debconf files to reference /etc/mrtg.cfg (was: /etc/mrtg.conf)
  * added debian/watch file

 -- tony mancill <tmancill@debian.org>  Sat, 23 Apr 2005 23:51:58 -0700

mrtg (2.10.13-1.2) unstable; urgency=low

  * Non-maintainer upload for fixing longstanding l10n issues
  * Typo correction in templates : s/ouput/output
    Translations unfuzzied
  * Translations:
    - French added. Closes: #243637
    - Japanese added. Closes: 256412
    - Czech added. Closes: #261286
    - Finnish added. Thanks to Tommi Vainikainen
    - Danish added. Thanks to Claus Hindsgaul
    - Basque added. Thanks to Piarres Beobide Egana
    - Dutch added. Thanks to Luk Claes
  * Set LANG=C in the cron.d entry so that mrtg does not silently break
    with UTF-8 locales. Closes: #279060, #228238
  * Lintian fixes:
    - debian/control:
      Description synopsis do not start with a capital letter
    - debian/changelog:
      Converted to UTF-8
    - debian/menu:
      Remove this now obsolete "needs=dwww" entry
    - debian/prerm.ex debian/preinst.ex debian/ex.doc-base.package:
      Example files removed
    - debian/rules:
      Remove the extra COPYING files installed by some contrib software in
      the examples directory

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Jan 2005 11:58:17 +0100

mrtg (2.10.13-1.1) unstable; urgency=low

  * NMU
  * debian/control: Depend on libsnmp-session-perl >= 0.97. (Closes: #246801)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun,  9 Jan 2005 13:10:42 +0100

mrtg (2.10.13-1) unstable; urgency=low

  * New upstream release. (Closes: #209165)
  * Don't let postinst to fail if /etc/mrtg.conf is not present. (Closes:
    #204044)
  * Added hint in README.Debian to disable snmp paranoia. (Closes: #217158)
  * Changed /var/log/mrtg dir permission to 750 (Closes: #194253)
  * Fixed indexmaker bug (Closes: #181950)
  * Fixed --lock-file option problem. (Closes: #155934, #206073)
  * Switched to gettext-based debconf templates. Thanks to Martin Quinson.
    (Closes: #235814)

 -- Shiju p. Nair <shiju@infovillage.net>  Fri, 13 Feb 2004 18:23:59 +0300

mrtg (2.9.29-1) unstable; urgency=low

  * New maintainer.

 -- Shiju p. Nair <shiju@infovillage.net>  Sat, 16 Aug 2003 21:40:24 +0300

mrtg (2.9.29-0.1) unstable; urgency=low

  * NMU
  * New upstream version.
    - closes:#157769,#183500 (which simply want the new upstream version :-)
    - closes:#175256,#168218,#131136 (new upstream no longer exports the
      version number).
    - closes:#189532 (updated URL for 14all script).
  * Could not use the original tar.gz, as that contains the file
    mrtg-2.9.29/install-sh twice which causes dpkg-source -b to fail (as it
    calls tar with the -k flag).
  * Updated versioned depends on libsnmp-session-perl to 0.93 as required by
    upstream.
  * Make /var/log/mrtg/ group adm and mode 640, as the logs there may contain
    confidential information. closes:#185824
  * Build with libgd2 instead of libgd1. closes:#134791,#165208,#151238
  * Don't do chmod silently, if failure will cause postinst also to fail which
    will confuse the user as he has no clue what the matter is. closes:#109474
  * Added 'missingok' directive to logrotate.d entry, as perhaps mrtg isn't
    running (yet) or is only installed for the documentation. closes:#182294
  * forced isn't included anymore, so don't try to remove its dir in rules.
  * Don't use dh_testversion, the versioned build-dep on debhelper is enough.
  * Install perl stuff into /usr/share/perl5 instead of /usr/lib/perl5 .
  * Updated Dutch translation to fix irritating errors. Also forwarded
    upstream.

 -- Paul Slootman <paul@debian.org>  Fri, 16 May 2003 09:26:31 +0200

mrtg (2.9.17-4.1) unstable; urgency=low

  * NMU, rebuild to fix libpng incompatibility. Closes: #157223

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Aug 2002 01:06:06 -0400

mrtg (2.9.17-4) unstable; urgency=low

  * Made /etc/logrotate.d/mrtg a conffile (Closes: #132121).
  * Added Russian translations for debconf questions from
    Ilgiz Kalmetev <i.kalmetev@bis.bashtelecom.ru> (Closes: #114388).
  * Fixed typo in description (Closes: #125158).
  * Fixed iptables-accounting in -contrib (Closes: #129333).
  * Fixed permissions on config file cache in postinst.

 -- Michael-John Turner <mj@debian.org>  Sat,  9 Feb 2002 09:27:04 +0200

mrtg (2.9.17-3) unstable; urgency=low

  * Move MRTG config file cache into /var/lib/mrtg (Closes: #67327).

 -- Michael-John Turner <mj@debian.org>  Sat,  8 Sep 2001 15:29:59 +0200

mrtg (2.9.17-2) unstable; urgency=low

  * Fixed missing locking code (Closes: #106415). Argh, second time
    I've broken it ;(
  * Added debconf translations for Brazilian Portuguese (thanks to
    Andre Luis Lopes <andrelop@ig.com.br>) (Closes: #106241).

 -- Michael-John Turner <mj@debian.org>  Sat, 28 Jul 2001 10:26:01 +0200

mrtg (2.9.17-1) unstable; urgency=low

  * New upstream (Closes: #104088).
  * Fixed rateup(1) (Closes: #94232, #101639).
  * Applied indexmaker patch from Peter Gervai <grin@Yikes.Tolna.net>
    (Closes: #94302).
  * Added German translations for debconf questions from Sebastian Feltel
    <sebastian@feltel.de> (Closes: #100068).
  * Added Spanish translations for debconf questions from Carlos
    Valdivia Yagüe <valyag@teleline.es> (Closes: #102157).
  * Redirect stderr to /var/log/mrtg/mrtg.log (in addition to stdout).

 -- Michael-John Turner <mj@debian.org>  Sat,  9 Jun 2001 19:58:17 +0200

mrtg (2.9.10-1) unstable; urgency=low

  * New upstream version.
  * Updated Build-Depends (Closes: #89273, #89533, #92740). Not entirely
    convinced about adding libpng2-dev and zlib1g-dev, but they're there
    now.

 -- Michael-John Turner <mj@debian.org>  Sun,  8 Apr 2001 15:02:29 +0200

mrtg (2.9.8-4) unstable; urgency=low

  * Further postinst/postrm cleanups (Closes: #88828).
  * Some additions to README.Debian regarding using MRTG with net-snmp/
    ucd-snmpd. (Closes: #39655, #67587).

 -- Michael-John Turner <mj@debian.org>  Sat, 10 Mar 2001 22:59:12 +0200

mrtg (2.9.8-3) unstable; urgency=low

  * Cleaned up logrotate script (Closes: #88167).
  * Removed -k from dh_clean call in debian/rules to remove
    debian/files from diff (Closes: #88626).

 -- Michael-John Turner <mj@debian.org>  Mon,  5 Mar 2001 21:09:33 +0200

mrtg (2.9.8-2) unstable; urgency=low

  * Re-apply locking patch (Closes: #87950, #87941, #87936).

 -- Michael-John Turner <mj@debian.org>  Wed, 28 Feb 2001 19:51:12 +0200

mrtg (2.9.8-1) unstable; urgency=low

  * New upstream version (Closes: #70860).
  * Split into two packages (mrtg and mrtg-contrib) and build and inst/rm
    scripts rewritten.
  * Cleaned up Build-Depends.
  * Updated cron script now also makes sure /etc/mrtg.cfg exists before
    trying to run mrtg and logs to /var/log/mrtg/mrtg.log.
  * Added perl-modules dependency (for Pod::Parser).
  * More secure permissions on /etc/mrtg.conf (Closes: #75398).
  * Use debconf.
  * Upgraded standards-version to 3.2.0.

 -- Michael-John Turner <mj@debian.org>  Fri, 20 Oct 2000 23:03:45 +0200

mrtg (2.8.12-2) unstable; urgency=low

  * Built with new libgd (Closes: #68511).

 -- Michael-John Turner <mj@debian.org>  Sun,  6 Aug 2000 15:01:19 +0200

mrtg (2.8.12-1) unstable; urgency=low

  * New upstream version (Closes: #62676,#53602).
  * Standard images are now PNG instead of GIF.
  * httpd is now "Suggested" instead of "Recommended" (Closes: #61057)
    (also suggest a web browser).
  * Updated copyright and package description.

 -- Michael-John Turner <mj@debian.org>  Fri, 21 Apr 2000 16:16:44 +0200

mrtg (2.8.9-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * Upgraded standards-version to 3.1.0.

 -- Michael-John Turner <mj@debian.org>  Mon, 10 Jan 2000 12:53:53 +0200

mrtg (2.8.8-0.1) unstable; urgency=low

  * NMU to remove SNMP_Session modules (which are now to be found in
    libsnmp-session-perl).
  * New upstream version.
  * Upgraded standards-version to 3.0.1.
  * Added dependency on libsnmp-session-perl.
  * Modified cron script. Closes: #44496.
  * Added contrib/mrtg-ipacc patch from David Bristel <targon@targonia.com>.
  * Examples are no longer compressed.
  * Documentation registered with doc-base.
  * Include more detailed sample configuration file (sample-mrtg.cfg).

 -- Michael-John Turner <mj@debian.org>  Sun, 10 Oct 1999 15:55:43 +0200

mrtg (2.8.6-1) unstable; urgency=low

  * New upstream version.
  * Moved the mrtg lock files from /etc to /var/lock/mrtg. Closes #41806.
  * Ensure that Makefile, config.log, config.cache, and config.status are
    deleted when a clean is done.
  * Bugs fixed by previous NMU update: #16130, #32460, #36909, #32998,
    #39460, #41471, #41640.

 -- Dermot Bradley <bradley@debian.org>  Mon, 26 Jul 1999 18:47:22 +0100

mrtg (2.8.3-0.1) unstable; urgency=low

  * NMU for the perl upgrade. Closes: #41471
  * New upstream version. Closes: #16130, #41640, #39460
  * Upgraded standards-version to 2.5.1.
  * Add /etc/cron.d/mrtg to conffiles. Closes: #36909
  * There's no need to depend on snmp. Everything is done in pure perl.
    Closes: #31998
  * Added the files for exim stats in examples. Closes: #32460

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Fri, 23 Jul 1999 12:31:10 +0200

mrtg (2.5.4c-1) frozen unstable; urgency=high

  * New upstream release (closes bugs #24446 and #27172).
  * Upgraded to Standards Version 2.4.1.0.
  * Built against libgd-1.3 which no longer uses LZW compression
    so mrtg is moved from contrib into main distribution.
  * Updated copyright notice.
  * readme.txt is now installed as /usr/doc/mrtg/README.
  * Fixed bug #20748 - full URL is now used.
  * Closed bug #20754 - no changes required.
  * Closed bug #21137 - mrtg uses the Perl inet_aton (from Socket.pm) to
    resolve a hostname into an IP address so the problem would seem to lie
    with the Perl function.
  * Changed installed /etc/cron.d/mrtg to remove the path to the mrtg script
    (Fixes bug #23032).
  * Closed bug #23390 - not a mrtg problem.

 -- Dermot Bradley <bradley@debian.org>  Wed, 28 Oct 1998 23:32:37 +0000

mrtg (2.5.2-1) unstable; urgency=low

  * New upstream release.
  * Upgraded to Standards Version 2.4.0.0.
  * Checked with lintian.
  * Now uses /etc/cron.d/mrtg rather than modifying /etc/crontab
    (Fixes bug #13514)
  * Original maintainer back.

 -- Dermot Bradley <bradley@debian.org>  Tue, 24 Feb 1998 00:26:18 +0000

mrtg (2.5.1-1) unstable; urgency=low

  * The icons are now installed in /usr/doc/mrtg (they are also used by
    readme.html), and the pages generated by mrtg and indexmaker now use
    /doc/mrtg/*.gif as the url to the icons. Any old pages made with
    indexmaker will need to be updated.
  * New upstream release, with pristine source. (#14348, #13649)
  * Libc6.
  * Use debhelper.
  * New maintainer.
  * Fixes for FSSTND compliance - don't put all the programs in /var !
  * Modified readme.html to not have a bogus server side include in it.
  * Added a debian documentation menu item for readme.html.
  * Added postrm to remove /var/lib/mrtg, /var/www/mrtg on purge.
  * Fixed file in tmp security hole in postrm.
  * Still modifies /etc/crontab directly, I'm waiting on word from the
    debian-policy list on alternatives..

 -- Joey Hess <joeyh@master.debian.org>  Wed,  3 Dec 1997 14:48:01 -0500

mrtg (2.2-1) contrib; urgency=low

  * Initial Release.

 -- Dermot Bradley <bradley@debian.org>  Sun, 4 May 1997 01:03:58 +0100
